Bug 112175

Summary: [GTK] The style of visited links doesn't change in WebKit2
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, benjamin, xan.lopez
Priority: P2 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch benjamin: review+

Description Carlos Garcia Campos 2013-03-12 12:03:46 PDT
This used to work, but it doesn't anymore.
Comment 1 Carlos Garcia Campos 2013-03-12 12:06:46 PDT
Created attachment 192783 [details]
Patch
Comment 2 Martin Robinson 2013-03-12 12:43:27 PDT
Comment on attachment 192783 [details]
Patch

Looks good to me.
Comment 3 Carlos Garcia Campos 2013-04-11 23:36:32 PDT
ping owners, this is trivial patch.
Comment 4 Benjamin Poulain 2013-04-11 23:56:45 PDT
Comment on attachment 192783 [details]
Patch

Sure, no problem.
No API tests can cover that?
Comment 5 Carlos Garcia Campos 2013-04-12 00:13:08 PDT
(In reply to comment #4)
> (From update of attachment 192783 [details])
> Sure, no problem.

Thanks for the review.

> No API tests can cover that?

hmm, yes, I guess we could visit a link and check its style. We'll do it in a follow up patch.
Comment 6 Carlos Garcia Campos 2013-04-12 01:11:34 PDT
Committed r148267: <http://trac.webkit.org/changeset/148267>